# Generated by Django 2.2.11 on 2020-04-19 10:25

from django.db import migrations, models
import django.db.models.deletion
import mptt.fields
import staby.core.fields
import staby.media.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('pages', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('slug', models.SlugField(max_length=100, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('lft', models.PositiveIntegerField(editable=False)),
                ('rght', models.PositiveIntegerField(editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='articles.Category')),
            ],
            options={
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Articles',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='pages.Page')),
                ('category', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='articles_pages', to='articles.Category')),
            ],
            options={
                'ordering': ('tree_id', 'lft'),
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('pages.page',),
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('title', models.CharField(max_length=255)),
                ('is_published', models.BooleanField()),
                ('published_from', models.DateTimeField(blank=True, null=True)),
                ('published_to', models.DateTimeField(blank=True, null=True)),
                ('slug', models.SlugField(primary_key=True, serialize=False)),
                ('teaser_image', staby.media.fields.FileBrowseField(blank=True, max_length=255, null=True)),
                ('teaser', staby.core.fields.RichTextField()),
                ('content', staby.core.fields.RichTextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='direct_articles', to='articles.Category')),
            ],
            options={
                'ordering': ['created'],
            },
        ),
    ]
